Update a claim mapping

Partially updates a SAML2 claim mapping. Only the fields included in the request body will be modified. Supports updating attribute_name, attribute_value_source, is_required and is_active.

Authentication

Api-Keystring

API key of the organization. Always sent together with the Secret-Access header.

Path parameters

claim_idintegerRequired

Headers

Secret-AccessstringRequired

Request

This endpoint expects an object.
attribute_namestringOptional
SAML attribute name
attribute_value_sourceenumOptional
User field to map to the attribute
is_requiredbooleanOptional
Whether the claim is required
is_activebooleanOptional
Whether the claim is active

Response

Successful Response
messagestring
Message of the response
datetimestring
Datetime of the API in ISO Format
dataobjectOptional

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error